/// <reference types="svelte" />
/**
 * Svelte preprocessor to use convert <react:*> tags into Sveltified React components.
 *
 * Imports renderToString from 'react-dom/server' unless the `ssr` option is set to false.
 *
 * @param {{
 *   ssr?: boolean;
 *   react?: number | "auto";
 *   errorMode?: "throw" | "warn";
 *   preprocess?: PreprocessorGroup | PreprocessorGroup[];
 * }} options
 * @returns {PreprocessorGroup}
 */
export default function preprocessReact(options?: {
    ssr?: boolean | undefined;
    react?: number | "auto" | undefined;
    errorMode?: "throw" | "warn" | undefined;
    preprocess?: import("svelte/compiler").PreprocessorGroup | import("svelte/compiler").PreprocessorGroup[] | undefined;
}): PreprocessorGroup;
export type PreprocessorGroup = import("svelte/compiler").PreprocessorGroup;
export type Processed = import("svelte/compiler").Processed;
export type TemplateNode = import("svelte/types/compiler/interfaces").TemplateNode;
import { preprocess } from "svelte/compiler";
