import * as React from "react";
import Link, {} from "./Link.js";
import useRouterContext from "./internal/useRouterContext.js";
import locationToUrl from "./internal/locationToUrl.js";
const NavLink = ({ className, style, children, ...rest }) => {
    const context = useRouterContext();
    const attrs = rest;
    const target = locationToUrl(attrs.to, context.url).toString();
    const current = locationToUrl(context.url, context.url).toString();
    const isActive = target === current;
    const condition = { isActive };
    if (typeof className === "function") {
        attrs.className = className(condition);
    }
    else if (isActive) {
        attrs.className = className ? `${className} active` : "active";
    }
    else {
        attrs.className = className;
    }
    attrs.style = typeof style === "function" ? style(condition) : style;
    return React.createElement(Link, attrs, typeof children === "function" ? children(condition) : children);
};
export default NavLink;
