import * as React from "react";
import useRouterContext from "./internal/useRouterContext.js";
export default function useHistory() {
    const { goto } = useRouterContext();
    return React.useMemo(() => ({
        push(url) {
            goto(url);
        },
        replace(url) {
            goto(url, { replaceState: true });
        },
    }), [goto]);
}
