/// <reference types="svelte" />
import { type Readable } from "svelte/store";
/**
 * Hook for using Svelte stores in React.
 *
 * Usage:
 *
 * const User: React.FC = () => {
 *   const $user = useStore(userStore);
 *   return <h1>Hello, {$user.name}</h1>;
 * }
 */
export default function useStore<T>(store: Readable<T>): T;
